module Racleta
  # Parses soundcreation.ro
  # Returns:
  # - name
  # - price
  class Soundcreation
    BASE_URL = 'https://www.soundcreation.ro'.freeze
    def self.crawl(path)
      Wombat.crawl do
        base_url BASE_URL
        path path
        name xpath: '//meta[@property="og:title"]/@content'
        price xpath: '//meta[@itemprop="price"]/@content', &:to_i
      end
    end
  end
end
